Bug 810881 - RFE: No Indication of Kdump in Progress while in X Window
RFE: No Indication of Kdump in Progress while in X Window
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On: 522925
Blocks: 524819 592506 810880
  Show dependency treegraph
 
Reported: 2012-04-09 10:21 EDT by CAI Qian
Modified: 2016-05-27 10:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 522925
Environment:
Last Closed: 2016-05-27 10:30:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CAI Qian 2012-04-09 10:21:10 EDT
Would like to re-consider a fix for this in Fedora to make life easier to debug
kdump failures without serial console.

+++ This bug was initially created as a clone of Bug #522925 +++

Description of problem:
After setting up kdump, if the kernel crashes while the user is operating under X Window, there is no indication of the kdump kernel is in progress. The user would be confused to see if this is a kernel failure or frozen X window. Ideally, the display would switch to the console when the kdump kernel is booting. This problem happens with and without KMS.

Version-Release number of selected component (if applicable):
kernel-2.6.31-2.fc12.x86_64
xorg-x11-drv-ati-6.12.2-19.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. setup kdump.
2. trigger kernel crash (echo c >/proc/sysrq-trigger) from X Window.
   
Actual results:
No indication of the kdump kernel in progress. Just a frozen X window.

Expected results:
Switch to console to show the kdump kernel is booting.

--- Additional comment from triage@lists.fedoraproject.org on 2009-11-16 07:18:21 EST ---


This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from nhorman@redhat.com on 2010-05-17 08:40:17 EDT ---

This has been a long standing problem, one which we just can't fix right now.  During a crash there is currently no safe way to return a video card to text mode so that the kdump boot process is visible, or to put up a banner indicating that a kdump is in progress.  The KMS changes make some of this more possible, but only on certain hardware, and under certain conditions.  Its simply to haphazzard a solution to truly be reasonable at this point.
Comment 1 Josh Boyer 2012-04-09 10:26:23 EDT
(just fixing up a bunch of incorrect settings)

I'm pretty sure Neil's comment still stands.

Adam, Dave, do you have any thoughts on how to possibly reinit the video cards in the kdump kernel?
Comment 2 Michele Baldessari 2013-11-23 17:32:30 EST
Given that most devices support/use KMS, is this still an issue?
If yes which cards are remaining?
Comment 3 CAI Qian 2015-01-26 23:41:33 EST
On this Intel card Fedora 12 laptop (pretty sure KMS is enabled), if echo c >/proc/sysrq-trigger while in X Window, the screen will be frozen without being able to see the kernel panic stack traces.
Comment 4 CAI Qian 2015-01-28 09:55:08 EST
(In reply to CAI Qian from comment #3)
> On this Intel card Fedora 12 laptop (pretty sure KMS is enabled), 
Correction, Fedora 21.

Note You need to log in before you can comment on or make changes to this bug.